Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
The Green Marine

Legacy Error

Recommended Posts

Today I downloaded Legacy via unknown site and installed it without problem. Upon seeing what appeared to be a newer version here at Doomworld, I uninstalled the previos version, and installed the version from the source ports section. Upon activating Legacy.exe, everything works just fine and dandy. However, activating Launcher.exe generates this error message:

signal_handler() : segment violation

I am unfarmiliar with Legacy and do not understand this error. Any pushs in the right direction would be awesome.

On another note, the first Legacy appeared to have dinamic lighting (ie fireballs, lamps, torches) that gave off a sort of glow to the ground and walls. The second version that I now have doesnt appear to incorperate this effect. Is this an aspect of an older version of Legacy that was scrapped for whatever reason, or am I doing something wrong?

I cannot get the version that I had because like I said, I don't know what the site was. Damn.

Share this post


Link to post

I thought/think that legacy is hosted at Newdoom, but I could be wrong.

The latest verison is 1.41 and it features those lighting effects when run under opengl mode. In the launcher panel, there is a setup button, the rendering options are there.

as for the error, I don't use legacy so I don't know how to fix it.

Share this post


Link to post
The Green Marine said:

signal_handler() : segment violation


thats normal for legacy. nothing to worry about.

Share this post


Link to post
The Green Marine said:

signal_handler() : segment violation

The program has crashed. Unless you have the appropriate tools the program is developed with, this doesn't real tell you anything else. There could be millions of reasons.

Make sure, the launcher is written for the particular version of Lecacy, you have installed and you didn't have mixed resources from different versions!

Share this post


Link to post
deathbringer said:

And make sure the wad you are running has under 50 sectors or it will crash in legacy!

Heh, bullshit.

Share this post


Link to post

While we're on the subject, anyone else noticed that the newest Legacy (1.41) doesn't like the newest FMOD? (the one that came with ZDoom 2.0.63) I have to go and get the fmod from 2.0.47 to make it work.

Oh, and segment violations (and corrupt savegames) are commonplace for Legacy-only wads. Although this version is more stable than previous ones.

Share this post


Link to post
The Ultimate DooMer said:

While we're on the subject, anyone else noticed that the newest Legacy (1.41) doesn't like the newest FMOD? (the one that came with ZDoom 2.0.63) I have to go and get the fmod from 2.0.47 to make it work.

Oh, and segment violations (and corrupt savegames) are commonplace for Legacy-only wads. Although this version is more stable than previous ones.

Yeah, these incompatibilities forced me to move Zdoom, ZdoomGL and Legacy each to separate folders not so long back....

Share this post


Link to post

The second version that I now have doesnt appear to incorperate this effect. Is this an aspect of an older version of Legacy that was scrapped for whatever reason, or am I doing something wrong?


Your probably running it in software mode, try opengl...



I haven't had a segment violation from legacy in months.


Good god that sounds wrong.

Share this post


Link to post

Ok cool. I wish I was smart and junk. Im in the CompLab right now so I'll dick around with it when I get back to my room tonight.

Class lets out at 7:00!

*Lets out a triumphant shriek comparable to that of a endmatch telefrag*

Share this post


Link to post

That error message means the map won't run with Legacy. I think Legacy gets overwhelmed by trying to display too much detail at once. If you try ZDoom or (spit) Boom, you should be able to play the map with no problems.

No Poet, resolving technical issues in the Doom Community since ten past eight.

Share this post


Link to post
NoPoet said:

That error message means the map won't run with Legacy. I think Legacy gets overwhelmed by trying to display too much detail at once. If you try ZDoom or (spit) Boom, you should be able to play the map with no problems.

No Poet, resolving technical issues in the Doom Community since ten past eight.

Shouldn't do actually. On my hard drive I have some maps with a hell of a lot (of level architecture) in view at once, which have no problems running.

Share this post


Link to post

Most large maps are fine. It's the really huge ones maps with massive architectural detail like Phobos: Anomaly Reborn and Equinox map 13 that Legacy can't really cope with.

If you're getting this error message on one of the standard Doom maps, I'd say there's some sort of problem either with Legacy itself. I run it on Windows XP with no issues. I'd recommend either seeing if there is a more up to date version of Legacy or just reinstalling the current version.

Share this post


Link to post
NoPoet said:

Most large maps are fine. It's the really huge ones maps with massive architectural detail like Phobos: Anomaly Reborn and Equinox map 13 that Legacy can't really cope with.

If you're getting this error message on one of the standard Doom maps, I'd say there's some sort of problem either with Legacy itself. I run it on Windows XP with no issues. I'd recommend either seeing if there is a more up to date version of Legacy or just reinstalling the current version.

Again, I'm quite sure I played P:AR on Legacy. Equinox, I must admit, I haven't tried.

Share this post


Link to post
The Green Marine said:

Plus, its Doom II E1M1, not that huge.

Heh, you mean map01. Although why Legacy would crash on map01 is beyond me, it doesn't suprise me much either. I've had it crash on me before at the startup screen for cryin' out loud.

Share this post


Link to post

Wow, you got PAR going on Legacy? Hmm, well it was months ago when I tried and I was using an older version of Legacy. I notice that the more recent the version of Legacy, the more complexity it can handle.

Share this post


Link to post

You can't play P:AR on Legacy. You may run around in it but since it heavily depends on Voodoo dolls it's impossible to play.

Share this post


Link to post
ToXiCFLUFF said:

Equinox, I must admit, I haven't tried.

It's only map13 where there's a problem - the first 12 are fine.

The map13 problem may well be due to some specific issue, rather than the size/complexity of the map (it's a big map, but not immense - the raw map data is 658k according to Wintex). IIRC, at one critical point you walk through a lift that you actually need to ride up (though I haven't tried it with the latest version of Legacy).

Edit: The problem seems to have been cured in the latest version of Legacy (1.41b). Whether that means you can now play the whole of Equinox in Legacy, I don't know, but it removes the only problem that I was aware of with earlier versions.

Share this post


Link to post
Graf Zahl said:

You can't play P:AR on Legacy. You may run around in it but since it heavily depends on Voodoo dolls it's impossible to play.

I wouldn't know. I never really played P:AR. I got bored of the gameplay and just noclipped and "MAP mapxx"'ed through all the maps to look at the architecture.

Share this post


Link to post

Yeah, you're right. "Map 01". Well, now that I think about it, Doom II allways had the little text reads every so many levels. I guess you could call that "Seperate Episodes". I dunno.

Share this post


Link to post

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×